<!DOCTYPE html>
{% load static %}
<html>
    <head>
        <meta charset="UTF-8">
        <title>Phone Book</title>

        <script src="{% static 'jquery-3.3.1.min.js' %}"></script>
        <script src="{% static 'js.cookie.js' %}"></script>

        <style>
        * {box-sizing: border-box;}

        /* The dropdown container */
        .dropdown {
          float: left;
          overflow: hidden;
        }

        /* Dropdown button */
        .dropdown .dropbtn {
          font-size: 16px;
          border: none;
          outline: none;
          color: black;
          padding: 14px 16px;
          background-color: inherit;
          font: inherit; /* Important for vertical align on mobile phones */
          margin: 0; /* Important for vertical align on mobile phones */
        }

        /* Dropdown content (hidden by default) */
        .dropdown-content {
          display: none;
          position: absolute;
          background-color: #e9e9e9;
          width: 100%;
          left: 0;
          box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
          z-index: 1;
        }

        /* Mega Menu header, if needed */
        .dropdown-content .header {
          background:  #e9e9e9;
          padding: 16px;
          color: white;
        }

        /* Show the dropdown menu on hover */
        .dropdown:hover .dropdown-content {
          display: block;
        }

        .newrecbutton {
        height:50px;
        width:225px;
        }

        body {
          margin: 0;
          font-family: Arial, Helvetica, sans-serif;
        }

        .book .a {
          margin: 0;
          font-family: Arial, Helvetica, sans-serif;
        }

        .Apply {
        margin: 0;
        font-family: Arial, Helvetica, sans-serif;
        }

        .topnav {
          overflow: hidden;
          background-color: #e9e9e9;
        }

        .topnav a {
          float: left;
          display: block;
          color: black;
          text-align: center;
          padding: 14px 16px;
          text-decoration: none;
          font-size: 17px;
        }

        .topnav a:hover {
          background-color: #ddd;
          color: black;
        }

        .topnav a.active {
          background-color: #2196F3;
          color: white;
        }

        .topnav .search-container {
          float: right;
        }

        .topnav input[type=text] {
          padding: 6px;
          margin-top: 8px;
          font-size: 17px;
          border: none;
        }

        .topnav .search-container button {
          float: right;
          padding: 6px 10px;
          margin-top: 8px;
          margin-right: 16px;
          background: #ddd;
          font-size: 17px;
          border: none;
          cursor: pointer;
        }

        .topnav .search-container button:hover {
          background: #ccc;
        }

        @media screen and (max-width: 600px) {
        .topnav .search-container {
         float: none;
         }
         .topnav a, .topnav input[type=text], .topnav .search-container button {
         float: none;
         display: block;
         text-align: left;
         width: 100%;
         margin: 0;
         padding: 14px;
         }
         .topnav input[type=text] {
         border: 1px solid #ccc;
         }
         }
        </style>
        <script>
            address = "http://127.0.0.1:8000/api/cards"

            function buttonNext() {
                if (window.next != null) address = window.next;
                $('#book').empty();
                getBook();
            }

            function buttonPrev() {
            if (window.prev !=null) address = window.prev;
            $('#book').empty();
            getBook();
            }

            function search(){
            var words=search_words.value
            window.address = "http://127.0.0.1:8000/api/cards/?search=" + words
            $('#book').empty();
            getBook(address);
            }

            function getBook () {
            $.getJSON(address, function(data) {
                next = data.next;
                <!--alert(next)-->
                prev = data.previous;
                <!--alert(prev)-->
                for (var i in data.results)
                    {
                    var link = "http://127.0.0.1:8000/api/cards/id/" + data.results[i].id;
                    var info = data.results[i].surname + "\n" + data.results[i].name;
                    var objTo = document.getElementById('book');
                    var a = document.createElement('a');
                    var br = document.createElement('br');
                    txt = document.createTextNode(info);
                    a.appendChild(txt);
                    a.setAttribute("href", link);
                    a.setAttribute("id", data.results[i].id);
                    a.appendChild(br);
                    objTo.appendChild(a);
                    };
            });
        }
        function getStartBook (){
        $('#book').empty();
        window.address = "http://127.0.0.1:8000/api/cards";
        getBook();
        }

        $('#Phonebook_link').click(function(){getStartBook() ; return false; });
        </script>
    </head>

    <body>
    <script>
        getStartBook()
    </script>

    <div class="topnav">
        <a class="active" href="{% url 'home' %}">Home</a>
        <a href="{% url 'logout' %}">Logout</a>
        <a href=="#" onclick="javascript:getStartBook() ;return false;">BOOK</a>
        <div class="dropdown">
            <button class="dropbtn">New record<i class="fa fa-caret-down"></i></button>
            <div class="dropdown-content">
            <div class="row">
                <div class="column">
                  <input class="newrecbutton" style="font-size : 25px" type="button" title="Create new record" onclick="javascript:getStartBook()" value="Create new record" /><br>
                  <input type="text" id="name" placeholder="Name..." ><br>
                  <input type="text" id="surname" placeholder="Surname..." ><br>
                  <input type="text" id="location" placeholder="From..." ><br>
                  <input type="text" id="phonenumber" placeholder="Number ..." ><br>
                </div>

            </div>
        </div>
    </div>
        <div class="search-container">
                <form action="javascript:search()">
                  <input type="text" placeholder="Search.." id="search_words" name="search">
                  <button type="submit"title="Search" ><i class="fa fa-search"></i></button>
                </form>
          </div>
    </div>



    <div id="book" align="center" ></div>
    <div id="navigation" align="center">
        <input type="button" title="Click to get previous page" onclick="buttonPrev();" value="<<Prev"/>
        <input type="button" title="Click to get next page" onclick="buttonNext();" value="Next>>"/>
    </div>
    <!--<div id="new_card" align="center">-->
        <!--<input type="button" onclick="alert();" value="New record"/>-->
    <!--</div>-->

    </body>

</html>
